Name: hoard		
Version: 3.8
%define tar_version 38
Release: 1%{?dist}
Summary: MALLOC
Group:	System Environment/Libraries
License: GPLv2	
URL:	http://www.cs.umass.edu/~emery/hoard	
Source0: http://www.cs.umass.edu/~emery/hoard/hoard-%{version}/source/%{name}-%{tar_version}.tar.gz
Patch1: hoard-38-NOBUILD.patch
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{tar_version}-%{release}-XXXXXX)
BuildRequires: dos2unix

%description
Hoard is a fast, scalable, and memory-efficient allocator. 
Hoard is a drop-in replacement for malloc that can dramatically improve 
application performance.


%package docs
Summary: Hoard documentation
Group: System Environment/Libraries
Requires: %{name}%{?_isa} = %{version}-%{release}
%description docs
HTML Documentation for the Hoard Malloc Library

%prep
%setup -q -n %{name}-%{tar_version}
find . -exec dos2unix {} \;
%patch1 -p1

%build
rm -fr doc/src/
dos2unix doc/*
dos2unix doc/skin/*
unix2dos doc/skin/{basic,screen,print}.css
dos2unix doc/skin/{basic,screen,print}.css
dos2unix doc/skin/images/*
dos2unix doc/heaplayers-article-cuj_files/*
find doc -type d -print0 | xargs -0 chmod 755
find doc -type f -print0 | xargs -0 chmod 644
cd src
%ifarch x86_64
make  %{?_smp_mflags} CFLAGS="%{optflags}" BINDIR=%{_bindir} linux-gcc-x86-64
%else
make  %{?_smp_mflags} CFLAGS="%{optflags}" BINDIR=%{_bindir} linux-gcc-x86
%endif

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %{buildroot}%{_libdir}/
cp -p src/libhoard.so $RPM_BUILD_ROOT/%{_libdir}/
%clean
rm -rf $RPM_BUILD_ROOT

%post  -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files docs
%doc doc/*

%files
%doc AUTHORS COPYING NEWS README THANKS
%{_libdir}/libhoard.so

%changelog
* Tue Apr 24 2012 Ralph Bean <rbean@redhat.com> - 3.8-1
- Wrapped up new version
- Fixed the upstream URL
- Updated the hoard-38-NOBUILD.patch to actually work.
  Unsure why it didn't already.
- dos2unix on the whole source before applying our patch.

* Sat Dec 24 2011 Ryan H. Lewis <me@ryanlewis.net> - 371-3
- added documentation. squashing rpmlint problems.

* Sun Nov 13 2011 Ryan Lewis <me@ryanlewis.net> - 371-2
- squashed some warnings in rpmlint

* Sat Nov 12 2011 Ryan Lewis <me@ryanlewis.net> - 3.7.1-1
- Initial spec file
